You can set an Admin as away for the Inbox.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Set to "true" to change the status of the admin to away.
Set to "true" to assign any new conversation replies to your default inbox.
- The production API serverhttps://api.intercom.io/admins/{admin_id}/away
- The european API serverhttps://api.eu.intercom.io/admins/{admin_id}/away
- The australian API serverhttps://api.au.intercom.io/admins/{admin_id}/away
- Successful response
- Admin not found
- Unauthorized
curl -i -X PUT \
'https://api.intercom.io/admins/{admin_id}/away' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"away_mode_enabled": true,
"away_mode_reassign": true,
"away_status_reason_id": 12345
}'Successful response
Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.
Identifies if this admin has a paid inbox seat to restrict/allow features that require them.
This object represents the avatar associated with the admin.
[ 814865 ]
The teammate's avatar image. On List all admins it is only included when display_avatar is true. Elsewhere it is left out when the teammate has neither an uploaded avatar nor a gravatar.
Admin priority levels for teams
{ "type": "admin", "id": "991267460", "name": "Ciaran2 Lee", "email": "admin2@email.com", "away_mode_enabled": true, "away_mode_reassign": true, "has_inbox_seat": true, "away_status_reason_id": "12345", "team_ids": [] }